.nav {
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 1000;
    position: fixed;
    width: rem(260);
    background: $black;
    transform: translateX(-17rem);
    transition: .3s;

    &__close {
        top: rem(15);
        left: rem(15);
        margin: 0;
        padding: 0;
        z-index: 50;
        width: rem(38);
        height: rem(38);
        cursor: pointer;
        border-radius: 50%;
        position: absolute;
        background: transparent;
        border: 2px solid #111010;
        display: flex;
        align-items: center;
        justify-content: center;

        &:after,
        &:before {
            z-index: 20;
            content: '';
            width: 14px;
            height: 2px;
            position: absolute;
            background: $violet;
            top: calc(50% - 1px);
            left: calc(50% - 7px);
        }

        &:after {
            transform: rotate(45deg);
        }

        &:before {
            transform: rotate(-45deg);
        }

        i {
            z-index: 1;
            opacity: 0.2;
            width: rem(30);
            height: rem(30);
            border-radius: 50%;
            display: inline-block;
            border: 1px solid #111010;
            flex-shrink: 0;
            transition: .25s;
        }

        &:hover {

            i {
                width: rem(34);
                height: rem(34);
                transition: .25s;
            }
        }
    }

    &__wrap {
        width: 100%;
        height: 100%;
        z-index: 10;
        background: $black;
        position: absolute;
    }

    &__sun {
        top: 0;
        left: 0;
        z-index: 40;
        width: rem(122);
        height: rem(116);
        position: absolute;
        opacity: 0;
        background: url("../img/nav_sun.webp") 0 0 no-repeat;
        background-size: cover;
        transform: scale(2);
        transition: .3s;
    }

    &__container {
        z-index: 30;
        width: 100%;
        height: 100%;
        padding-top: rem(100);
        position: absolute;
        display: flex;
        flex-direction: column;
    }

    &__main {
        flex-grow: 1;
        position: relative;
        display: flex;
        flex-direction: column;

        &:after {
            z-index: 50;
            width: 100%;
            content: '';
            position: relative;
            flex-grow: 1;
            background: $black;
        }
    }

    &__primary {
        margin: 0;
        padding: 0;
        height: 100%;
        z-index: 50;
        background: #000;
        position: relative;

        list-style: none;
        counter-reset: num;
    }

    &__item {
        z-index: 40;
        position: relative;
        transition: z-index .3s;

        &:hover {
            z-index: 30;
            transition: z-index .3s;
        }
    }

    &__link {
        z-index: 50;
        color: $white;
        background: $black;
        height: rem(55);
        font-weight: 400;
        font-size: rem(18);
        line-height: rem(26);
        text-decoration: none;
        padding-left: rem(38);
        display: flex;
        align-items: center;
        position: relative;
        transition: .3s;

        &--num {
            top: calc(50% - 2px);
            left: rem(15);
            z-index: 1;
            opacity: 0.5;
            color: $white;
            font-weight: 800;
            font-size: rem(10);
            line-height: rem(12);
            letter-spacing: 0.15rem;
            position: absolute;
            font-family: $font-family-secondary;
            transition: .3s;
        }

        &:before {
            bottom: 0;
            left: rem(15);
            right: rem(15);
            content: '';
            height: 1px;
            display: block;
            position: absolute;
            background: rgba(255,255,255,0.1);
        }

        &.hover,
        &:hover {
            color: $violet;
            text-decoration: none;
            transition: .3s;

            .nav__link--num {
                top: calc(50% - 6px);
                transition: .3s;
            }
        }
    }

    &__footer {
        padding: rem(20) rem(15);
    }

    &__title {
        font-weight: 800;
        font-size: rem(12);
        line-height: rem(14);
        letter-spacing: 0.15rem;
        margin-bottom: rem(16);
        font-family: $font-family-secondary;
    }

    &__social {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        align-items: center;

        li {

            &:not(:last-child) {
                margin-right: rem(10);
            }
        }
    }

    &__second {
        display: none;
    }

    .social-button {
        width: rem(40);
        height: rem(40);
        font-size: 0;
        line-height: 0;
        border-radius: 50%;
        border: 1px solid rgba(255,255,255,0.2);
        display: flex;
        align-items: center;
        justify-content: center;
        fill: $white;
        transition: .3s;

        i {
            height: rem(20);
            display: inline-block;
        }

        &:hover {
            fill: $violet;
            border-color: $violet;
        }
    }

    @include media-breakpoint-up(xl) {
        width: rem(310);
        transform: translateX(-20rem);

        &__second {
            top: 0;
            left: 0;
            margin: 0;
            padding: 0;
            list-style: none;
            z-index: 10;
            width: 100%;
            display: block;
            position: absolute;

            &--item {
                height: rem(55);
            }
        }

        &__item {

            &:hover {

                .nav__second {
                    opacity: 1;
                    visibility: visible;
                    transform: translateX(0);
                    transition-property: transform, opacity, visibility;
                    transition-duration: .5s;
                    transition-timing-function: linear;
                }

                .nav-second {

                    &__content {
                        opacity: 1;
                        visibility: visible;
                        transform: translate(0,0);
                        transition:  .6s;
                    }
                }
            }
        }
    }

    @media (min-width: 1250px) and (min-height: $height) {

        &__close {
            top: rem(26);
            left: rem(26);
            width: rem(66);
            height: rem(66);

            i {
                width: rem(54);
                height: rem(54);
            }

            &:hover {

                i {
                    width: rem(62);
                    height: rem(62);
                }
            }
        }

        &__sun {
            width: rem(222);
            height: rem(188);
        }

        &__link {
            height: rem(76);
            font-size: rem(22);
            line-height: rem(32);
            padding-left: rem(60);

            &--num {
                left: rem(30);
                font-size: rem(12);
                line-height: rem(14);
            }

            &:before {
                left: rem(30);
                right: rem(30);
            }
        }

        &__second {

            &--item {
                height: rem(76);
            }
        }

        &__container {
            padding-top: rem(170);
        }
    }
}

.nav-second {
    color: $white;
    display: flex;
    text-decoration: none;
    font-size: rem(16);
    line-height: rem(24);
    align-items: flex-start;
    transform: translateX(0);
    transition: .6s;

    &:hover {
        color: $white;
        text-decoration: none;
    }

    &__image {
        width: rem(250);
        flex-shrink: 0;
    }

    &__content {
        width: rem(370);
        opacity: 0;
        visibility: hidden;
        position: relative;
        background: url("../img/nav_second__bg.svg") 100% 0 no-repeat;
        flex-shrink: 0;
        transform: translate(-6rem, 4rem);
        transition: transform .6s;

        &:after {
            right: rem(-4);
            bottom: rem(-6);
            content: '';
            display: block;
            width: rem(117);
            height: rem(117);
            position: absolute;
            background: url("../img/nav_second__border.svg") 100% 100% no-repeat;

        }

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            top: rem(60px);
            position: absolute;
            background: #9000FF;
        }
    }

    &__wrap {
        z-index: 20;
        position: relative;
        padding: rem(25) rem(30);

        &:after {
            right: rem(3);
            top: rem(-6);
            z-index: 5;
            content: '';
            width: rem(40);
            height: rem(40);
            position: absolute;
            background: url("../img/nav_second__pattern.svg") 100% 0 no-repeat;
        }
    }

    &__title {
        font-weight: 800;
        font-size: rem(12);
        line-height: rem(14);
        letter-spacing: 0.14rem;
        margin-bottom: rem(16);
        text-transform: uppercase;
        font-family: $font-family-secondary;
    }

    &__text {
        opacity: 0.8;
    }


    &.active {
        transform: translateX(19.375rem);
        transition: .6s;

        .nav-second__content {
            opacity: 1;
            visibility: visible;
            transform: translate(0,0);
            transition: transform .6s;
        }
    }
}

.nav-overlay {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 500;
    position: fixed;
    opacity: 0;
    visibility: hidden;
    -webkit-backdrop-filter: blur(4px);
    backdrop-filter: blur(4px);
    filter:blur(4px);
    -webkit-filter:blur(4px);
    transition: .3s;
}

.nav-open {
    overflow: hidden;
    max-width: 100%;

    .nav {
        transform: translateX(0);
        transition: .3s;

        &__sun {
            opacity: 1;
            z-index: 10;
            transform: scale(1);
            transition-delay: .2s;
            transition-duration: .3s;
        }
    }

    .nav-overlay {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    @include media-breakpoint-up(xl) {

        .nav {
            transform: translateX(0);
            transition: .3s;
        }
    }
}
